libzypp 17.37.10

PoolImpl.h File Reference
`#include <iosfwd>`
`#include <utility>`
`#include <zypp/base/Easy.h>`
`#include <zypp/base/LogTools.h>`
`#include <zypp/base/SerialNumber.h>`
`#include <zypp-core/Globals.h>`
`#include <zypp/pool/PoolTraits.h>`
`#include <zypp/ResPoolProxy.h>`
`#include <zypp/PoolQueryResult.h>`
`#include <zypp/sat/Pool.h>`
`#include <zypp/Product.h>`

Go to the source code of this file.

## Classes
struct | zypp::resstatus::UserLockQueryManip
| Manipulator for ResStatus::UserLockQueryField. More...
class | zypp::ResPool::EstablishedStates::Impl
| Store initial establish status of pseudo installed items. More...
class | zypp::pool::PoolImpl

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.
namespace | zypp::resstatus
namespace | zypp::solver
namespace | zypp::solver::detail
namespace | zypp::pool

## Functions
void | zypp::solver::detail::establish (sat::Queue &pseudoItems_r, sat::Queue &pseudoFlags_r)
| ResPool helper to compute the initial status of Patches etc.